Bug 291607 - Dolphin 2 scrolling up or down fast with the mouse wheel makes some elements disappear
Summary: Dolphin 2 scrolling up or down fast with the mouse wheel makes some elements ...
Status: RESOLVED NOT A BUG
Alias: None
Product: dolphin
Classification: Unclassified
Component: view-engine: general (show other bugs)
Version: 2.0
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Peter Penz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-15 19:44 UTC by Lilian A. Moraru
Modified: 2012-08-24 09:49 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.8.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lilian A. Moraru 2012-01-15 19:44:10 UTC
Version:           2.0 (using Devel) 
OS:                Linux

I installed KDE 4.8 RC2 using the instructions found in this link: http://userbase.kde.org/Calligra/Download#Ubuntu .
My system is Kubuntu 11.10 Oneiric Ocelot, so, sure I used the instruction for Oneiric Ocelot(to use the ppa:kubuntu-ppa/beta repository). I did a distribution upgrade(apt-get dist-upgrade) and got all the awesomeness from the next release of KDE, 4.8, and then restarted.

The bug: If you try to scroll fast up(when you are at the top of the folder) or down(when you are at the bottom of the folder) with the mouse wheel in a scrollable folder in Dolphin 2, some elements(files, folders, items) disappear and it doesn't depend which View is selected and if the preview is activated, it happens anyway. After the glitch activates and you scroll till the end of the other side of the folder you get another glitch which hides some elements, the amount of hidden elements depends on how fast you scrolled at the end. To show the side effects here is a link to a video demonstration(the file is to big to attach): http://www.youtube.com/watch?v=PLELAgoJAp0

Reproducible: Always

Steps to Reproduce:
Explained


Expected Results:  
Obvious
Comment 1 Peter Penz 2012-01-16 08:41:03 UTC
Thanks for the report, I had some problems initially to reproduce the issue but finally found a way to at least trigger it sometimes... Is it really reproducible in your system always? Is the initial scrolling with the mouse like shown in the video really required (I guess using the mouse-wheel should be enough)?

(internal note:
- Go to '/' and use the details-view
- Expand /usr/bin
- Use the wheel to scroll up/down)
Comment 2 Lilian A. Moraru 2012-01-16 12:13:47 UTC
(In reply to comment #1)
> Thanks for the report, I had some problems initially to reproduce the issue but
> finally found a way to at least trigger it sometimes... Is it really
> reproducible in your system always? Is the initial scrolling with the mouse
> like shown in the video really required (I guess using the mouse-wheel should
> be enough)?
> 
> (internal note:
> - Go to '/' and use the details-view
> - Expand /usr/bin
> - Use the wheel to scroll up/down)

It doesn't trigger instantly, if u scroll faster it triggers faster.
Yes, scrolling with the mouse wheel in the other direction a little bit and then again in the same direction which triggered the glitch shows all the elements again. But the glitch anyway is there.
Comment 3 Peter Penz 2012-01-17 09:03:46 UTC
Git commit a321e497a9719da1cbb3b40c123166d1dae340a5 by Peter Penz.
Committed on 17/01/2012 at 09:57.
Pushed by ppenz into branch 'KDE/4.8'.

Disable smooth-scrolling dependent on the graphics-effect level

If the graphics-effect-level has been set to NoEffects (systemsettings -> Appearance
-> Style -> Fine Tuning), the smooth scrolling in Dolphin will be disabled.

Additionally the duration for the smooth-scrolling has been decreased from 200 ms
to 100 ms to reduce the lag.

A wrong calculation of the end-value has been fixed that might trigger
a wrong position of the content.
Related: bug 291740
FIXED-IN: 4.8.0

M  +8    -2    dolphin/src/kitemviews/kitemlistsmoothscroller.cpp
M  +3    -1    dolphin/src/kitemviews/kitemlistwidget.cpp

http://commits.kde.org/kde-baseapps/a321e497a9719da1cbb3b40c123166d1dae340a5
Comment 4 Peter Penz 2012-01-17 09:04:20 UTC
Git commit 30ebc03258ac867a04c09feb5e304beb86f657cd by Peter Penz.
Committed on 17/01/2012 at 09:57.
Pushed by ppenz into branch 'master'.

Disable smooth-scrolling dependent on the graphics-effect level

If the graphics-effect-level has been set to NoEffects (systemsettings -> Appearance
-> Style -> Fine Tuning), the smooth scrolling in Dolphin will be disabled.

Additionally the duration for the smooth-scrolling has been decreased from 200 ms
to 100 ms to reduce the lag.

A wrong calculation of the end-value has been fixed that might trigger
a wrong position of the content.
Related: bug 291740
FIXED-IN: 4.8.0

M  +8    -2    dolphin/src/kitemviews/kitemlistsmoothscroller.cpp
M  +3    -1    dolphin/src/kitemviews/kitemlistwidget.cpp

http://commits.kde.org/kde-baseapps/30ebc03258ac867a04c09feb5e304beb86f657cd
Comment 5 Lilian A. Moraru 2012-01-17 14:55:08 UTC
Thanks for solving the bug. I had the best experience with bug response and fixing with KDE... I reported a lot of bugs but only KDE Team responds to them so fast and acts.
Comment 6 Lilian A. Moraru 2012-01-26 20:33:58 UTC
Ok, tested the bug in Dolphin 2.0, KDE 4.8.00 and the bug is still reproducible.
If you want just to close the bug I'm ok with it but I'm always for those little things that matter to be fixed. I think a little bug does matter too for the image of a stable and production ready environment.
I reopen it for now. I can post a new video of the bug in Dolphin 2.0, if u want.
Comment 7 Lilian A. Moraru 2012-02-01 16:35:50 UTC
Just tested another mouse and seems like my mouse has a problem when scrolling faster... But still, strange that the items disappear when scrolling in the opposite direction...
Comment 8 Lilian A. Moraru 2012-02-01 16:44:33 UTC
I tested in: Firefox, Okular, Skype, Clementine, KDE System Settings. It does this kind of fast jump, scrolling down and up, but it gets to the last position available. In Dolphin it doesn't want to go to the first position(folder/file in the view). At 16 pixels items size in "Details View Mode" it jumps over 5 and a half items.